ELVTUNE(8)

NAME
elvtune - I/O elevator tuner

SYNOPSIS
elvtune [-r r_lat] [-w w_lat] [-b b_max] device...
elvtune -h
elvtune -v

DESCRIPTION
elvtune allows to tune the I/O elevator per blockdevice queue. The tuning can be safely done at runtime. Tuning the elevator means being able to change disk performance and interactiveness. In the output of elvtune the address of the queue tuned will be shown; it can be considered as a queue ID. Multiple partitions on the same harddisk will share the same queue and so tuning one partition will be like tuning the whole HD.

OPTIONS

-r r_lat
    Set the maximum latency that the I/O scheduler will provide on each read.

-w w_lat
    Set the maximum latency that the I/O scheduler will provide on each write.

-b b_max
    Set the maximum coalescing factor allowed on writes when there are reads pending in the queue.

-h  Display help text and exit.

-v  Display version version information and exit.

NOTE
Actually, the only fields tunable are those relative to the IO scheduler. It's not possible to select a one-way or two-way elevator yet.

For logical blockdevices like LVM the tuning has to be done on the physical devices. Tuning the queue of the LVM logical device is useless.

RETURN VALUE
0 on success and 1 on failure.

HISTORY
Ioctls for tuning elevator behaviour were added in Linux 2.3.99-pre1.

AUTHORS
Andrea Arcangeli <andrea@suse.de> SuSE

AVAILABILITY
The elvtune command is part of the util-linux package and is available from ftp://ftp.kernel.org/pub/linux/utils/util-linux/.